<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>

    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>

    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>

    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="numCompte">0</xsl:param>

    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Op&#233;rations budg&#233;taires</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">GB_PrevisionRealisationBudgetaire</xsl:with-param>
                    <xsl:with-param name="elementId">PageGB_PrevisionRealisationBudgetaire</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneGB_PrevisionRealisationBudgetaire</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre.Plus">
                        <h2>Op&#233;rations budg&#233;taires de <xsl:value-of select="lower-case(n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire/n:EnteteGB_PrevisionRealisationBudgetaire/@Sens)"/> - <xsl:value-of select="n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire/n:EnteteGB_PrevisionRealisationBudgetaire/@Section"/>&#160;<xsl:value-of select="n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire/n:EnteteGB_PrevisionRealisationBudgetaire/@Annee"/></h2>
                        <h3>
                            <xsl:value-of select="n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire/n:EnteteGB_PrevisionRealisationBudgetaire/@SousTitre"/>
                        </h3>
                    </xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:GB_PrevisionRealisationBudgetaire/n:PageGB_PrevisionRealisationBudgetaire"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        <table width="100%" id="main" class="bordered">
            <colgroup>
                <col width="10%"/>
                <col width="26%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>

            </colgroup>
            <thead>
                <tr class="titre">
                    <td rowspan="2" class="titre bold center bordered">N compte</td>
                    <td rowspan="2" class="titre bold center bordered">Libell&#233; des comptes constituant les groupes fonctionnels</td>
                    <td class="titre bold center borderedNotBottom">Budget primitif</td>
                    <td class="titre bold center borderedNotBottom">D&#233;cisions modificatives</td>
                    <td class="titre bold center borderedNotBottom">Virements de cr&#233;dits<br/>(non repris dans une DM)</td>
                    <td class="titre bold center borderedNotBottom">Pr&#233;visions budg&#233;taires totales</td>
                    <td class="titre bold center borderedNotBottom">Emissions</td>
                    <td class="titre bold center borderedNotBottom">Annulations</td>
                    <td class="titre bold center borderedNotBottom">Total des r&#233;alisations</td>
                    <td class="titre bold center borderedNotBottom">Ecart Pr&#233;visions / R&#233;alisations</td>
                </tr>
                <tr>
                    <td class="bold center borderedNotTop">1</td>
                    <td class="bold center borderedNotTop">2</td>
                    <td class="bold center borderedNotTop">3</td>
                    <td class="bold center borderedNotTop">4 = 1 + 2 + 3</td>
                    <td class="bold center borderedNotTop">5</td>
                    <td class="bold center borderedNotTop">6</td>
                    <td class="bold center borderedNotTop">7 = 5 - 6</td>
                    <td class="bold center borderedNotTop">8 = 4 - 7</td>
                </tr>
            </thead>
            <tbody>
                <xsl:for-each select="$el/n:LigneGB_PrevisionRealisationBudgetaire">
                    <tr>
                        <xsl:choose>
                            <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                                <xsl:attribute name="id">highlighted</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:choose>
                                    <xsl:when test="(position() mod 2) = 0">
                                        <xsl:attribute name="id">colorised1</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:attribute name="id">colorised2</xsl:attribute>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="contains(lower-case(@LibelleCompteRubrique),'total')">
                                <td class="right bordered bold">
                                    <xsl:value-of select="upper-case(@NumCompte)"/>
                                </td>
                                <td class="bordered bold">
                                    <xsl:value-of select="@LibelleCompteRubrique"/>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntBudPrim"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntDecMod"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntVirCredit"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntPrevBud"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntEmission"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntAnnulation"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntReal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordered bold">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntEcartRealPrev"/>
                                    </xsl:call-template>
                                </td>
                            </xsl:when>
                            <xsl:otherwise>
                                <td class="center bordureRight">
                                    <xsl:value-of select="@NumCompte"/>
                                </td>
                                <td class="bordureRight">
                                    <xsl:value-of select="@LibelleCompteRubrique"/>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntBudPrim"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntDecMod"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntVirCredit"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntPrevBud"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntEmission"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntAnnulation"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntReal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@MntEcartRealPrev"/>
                                    </xsl:call-template>
                                </td>
                            </xsl:otherwise>
                        </xsl:choose>

                    </tr>
                </xsl:for-each>
            </tbody>
        </table>
    </xsl:template>

</xsl:stylesheet>
