<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>

    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>

    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>

    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>

    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="intitule">0</xsl:param>

    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif/n:Pied/@NumPage"/>


    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>

    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Situation Patrimoniale - Bilan Actif</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">SP_BilanActif</xsl:with-param>
                    <xsl:with-param name="elementId">PageSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre">Situation Patrimoniale - Bilan Actif</xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif/n:Pied/@NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="5%"/>
                <col width="35%"/>
                <col width="15%"/>
                <col width="15%"/>
                <col width="15%"/>
                <col width="15%"/>
            </colgroup>
            <thead>
                <tr class="titre">
                    <td colspan="2" rowspan="2" class="bold titre bordered center">ACTIF</td>
                    <td colspan="3" class="bold titre bordered center">Exercice <xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></td>
                    <td class="bold titre bordered center">Exercice <xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice - 1"/></td>
                </tr>
                <tr>
                    <td class="bold titre bordered center">BRUT</td>
                    <td class="bold titre bordered center">AMORTISSEMENTS<br/>ET PROVISIONS</td>
                    <td class="bold titre bordered center">NET</td>
                    <td class="bold titre bordered center">NET</td>
                </tr>
            </thead>
            <xsl:for-each select="$el/n:LigneEnteteSP_BilanActif">
                <tbody>
                    <tr>
                        <xsl:element name="td">
                            <xsl:attribute name="rowspan">
                                <xsl:value-of select="count(../n:LigneSP_BilanActif[not(contains(lower-case(@IntituleRubriqueA),'total'))])+1"/>
                            </xsl:attribute>
                            <xsl:attribute name="class">bold titre2 bordered</xsl:attribute>
                            <xsl:value-of select="@Titre1"/>&nbsp;<xsl:value-of select="@Titre2"/>&nbsp;<xsl:value-of select="@Titre3"/>
                        </xsl:element>
                        <!--td class="bordureTopRight" colspan="5"/-->
                    </tr>
                    <xsl:for-each select="../n:LigneSP_BilanActif">
                        <tr>
                            <xsl:choose>
                                <xsl:when test="$intitule != '0' and @IntituleRubriqueA=$intitule">
                                    <xsl:attribute name="id">highlighted</xsl:attribute>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:choose>
                                        <xsl:when test="(position() mod 2) = 0">
                                            <xsl:attribute name="id">colorised1</xsl:attribute>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:attribute name="id">colorised2</xsl:attribute>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()!=count(../n:LigneSP_BilanActif)">
                                    <td class="libelleLigne bordered bold" colspan="2">
                                        <xsl:value-of select="@IntituleRubriqueA"/>
                                    </td>
                                    <td class="montant bordered bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@Brut"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordered bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@AmortProv"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordered bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordered bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN_1"/>
                                        </xsl:call-template>
                                    </td>
                                </xsl:when>
                                <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()=count(../n:LigneSP_BilanActif)">
                                    <td class="libelleLigne borderedBold bold" colspan="2">
                                        <xsl:value-of select="@IntituleRubriqueA"/>
                                    </td>
                                    <td class="montant borderedBold bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@Brut"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant borderedBold bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@AmortProv"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant borderedBold bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant borderedBold bold">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN_1"/>
                                        </xsl:call-template>
                                    </td>
                                </xsl:when>
                                <xsl:otherwise>
                                    <td class="libelleLigne bordureRight">
                                        <xsl:value-of select="@IntituleRubriqueA"/>
                                    </td>
                                    <td class="montant bordureRight">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@Brut"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordureRight">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@AmortProv"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordureRight">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="montant bordureRight">
                                        <xsl:call-template name="number">
                                            <xsl:with-param name="num" select="@NetN_1"/>
                                        </xsl:call-template>
                                    </td>
                                </xsl:otherwise>
                            </xsl:choose>
                        </tr>
                    </xsl:for-each>
                </tbody>
            </xsl:for-each>
        </table>
    </xsl:template>



</xsl:transform>
