<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added" version="2.0">
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>

    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>
    
    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>
    
    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>
    
    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="NumPiece">0</xsl:param>
    
    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>

    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>
  <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:Solde/n:PageSolde/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of  select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Etat de Solde</title>

                <xsl:call-template name="style"/>
               
            </head>
            <body>
               <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                     <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">Solde</xsl:with-param>
                    <xsl:with-param name="elementId">PageSolde</xsl:with-param>
                    <!--xsl:with-param name="sous.elementId">LigneSolde</xsl:with-param-->
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="path.plus">[n:EnteteSolde/@Type=<xsl:value-of select="//n:EnteteSolde/@Type"/>]</xsl:with-param>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                    <xsl:with-param name="element.path">n:EnteteSolde</xsl:with-param>
                </xsl:call-template>
                <xsl:call-template name="header" >
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre.Plus">
                        <xsl:choose>
                            <xsl:when test="//n:EnteteSolde/@Type='RAR'">
                                <h1>Etat des Restes  Recouvrer sur Pi&egrave;ces <xsl:if test="string-length(//n:EnteteSolde/@Date2) > 0 or string-length(//n:EnteteSolde/@Date3) > 0">en charge du <xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date2"/></xsl:call-template> au <xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date3"/></xsl:call-template></xsl:if></h1>
                                <h2>Situation Actualis&eacute;e au <xsl:choose><xsl:when test="string-length(//n:EnteteSolde/@Date4) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date4"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></h2>
                                <h3>Compte <xsl:value-of select="//n:EnteteSolde/@NumCompte"/></h3>                                        
                            </xsl:when>
                            <xsl:otherwise>
                                <h1>Etat de Reste  Payer sur Pi&egrave;ces prises <xsl:if test="string-length(//n:EnteteSolde/@Date2) > 0 or string-length(//n:EnteteSolde/@Date3) > 0">en charge du <xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date2"/></xsl:call-template> au <xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date3"/></xsl:call-template></xsl:if></h1>
                                <h2>Pi&egrave;ces Non Sold&eacute;es au <xsl:choose><xsl:when test="string-length(//n:EnteteSolde/@Date4) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date4"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose> et Situation Actualis&eacute;e au <xsl:choose><xsl:when test="string-length(//n:EnteteSolde/@Date4) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date4"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></h2>
                                <h3>Compte Tiers <xsl:value-of select="//n:EnteteSolde/@NumCompte"/></h3>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:Solde/n:PageSolde"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el" />
        <xsl:choose>
            <xsl:when test="$el/n:EnteteSolde/@Type='RAR'">
                <table width="100%" class="bordered" id="main">
                    <colgroup>
                        <col width="5%"/>
                        <col width="5%"/>
                        <col width="4%"/>
                        <col width="5%"/>
                        <col width="15%"/>
                        <col width="17%"/>
                        <col width="6%"/>
                        <col width="6%"/>
                        <col width="6%"/>
                        <col width="10.33%"/>
                        <col width="10.33%"/>
                        <col width="10.33%"/>
                    </colgroup>
                    <thead>
                        <tr class="titre">
                            <td class="titre bold center bordered">Exercice</td>
                            <td class="titre bold center bordered">N pi&egrave;ce</td>
                            <td class="titre bold center bordered">Date PEC</td>
                            <td class="titre bold center bordered">N ordre</td>
                            <td class="titre bold center bordered">Nom du d&eacute;biteur</td>
                            <td class="titre bold center bordered">Objet du titre</td>
                            <td class="titre bold center bordered">Montant principal</td>
                            <td class="titre bold center bordered">Montant des frais de poursuite</td>
                            <td class="titre bold center bordered">Reste  recouvrer</td>
                            <td class="titre bold center bordered">Diligence exerc&eacute;e</td>
                            <td class="titre bold center bordered">Diligence exerc&eacute;e</td>
                            <td class="titre bold center bordered">Diligence exerc&eacute;e</td>
                        </tr>
                    </thead>
                    <tbody>
                        <xsl:for-each select="$el/n:LigneSolde[string-length(@Tiers) &gt; 0 or contains(lower-case(@ObjetPiece),'total')]">
                            <tr>
                                <xsl:choose>
                                    <xsl:when test="$NumPiece != '0' and @NumPiece=$NumPiece">
                                        <xsl:attribute name="id">highlighted</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:choose>
                                            <xsl:when test="(position() mod 2) = 0">
                                                <xsl:attribute name="id">colorised1</xsl:attribute>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:attribute name="id">colorised2</xsl:attribute>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:otherwise>
                                </xsl:choose>
                                <xsl:choose>
                                    <xsl:when test="string-length(@ObjetPiece) > 0 and not(contains(lower-case(@Tiers),'total'))">
                                        <td class="center bordureRight"><xsl:value-of select="@ExercicePiece"/></td>
                                        <td class="center bordureRight"><xsl:value-of select="@NumPiece"/></td>
                                        <td class="center bordureRight"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="@DatePEC"/></xsl:call-template></td>
                                        <td class="center bordureRight"><xsl:value-of select="@NumLigne"/></td>
                                        <td class="bordureRight"><xsl:value-of select="@Tiers"/></td>
                                        <td class="bordureRight"><xsl:value-of select="@ObjetPiece"/></td>
                                        <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantPiece"/></xsl:call-template></td>
                                        <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantFrais"/></xsl:call-template></td>
                                        <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantRAR"/></xsl:call-template></td>
                                        <td class="bordureRight"><xsl:value-of select="@Diligence"/></td>
                                        <td class="bordureRight"><xsl:value-of select="@Diligence2"/></td>
                                        <td class="bordureRight"><xsl:value-of select="@Diligence3"/></td>
                                    </xsl:when>
                                    <xsl:when test="contains(lower-case(@Tiers),'total')">
                                        <td class="right bold bordered" colspan="6"><xsl:value-of select="@Tiers"/></td>
                                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantPiece"/></xsl:call-template></td>
                                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantFrais"/></xsl:call-template></td>
                                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="@MontantRAR"/></xsl:call-template></td>
                                        <td class="bordered"><xsl:value-of select="@Diligence"/></td>
                                        <td class="bordered">&nbsp;</td>
                                        <td class="bordered">&nbsp;</td>
                                    </xsl:when>
                                    <!--xsl:otherwise>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight">&nbsp;</td>
                                        <td class="bordureRight"><xsl:value-of select="@Diligence"/></td>
                                    </xsl:otherwise-->
                                </xsl:choose>
                                
                                
                            </tr>
                        </xsl:for-each>
                    </tbody>
                </table>
            </xsl:when>
            <xsl:otherwise>
                <table width="100%" class="bordered" id="main">
                    <colgroup>
                        <col width="4%"/>
                        <col width="8%"/>
                        <col width="6%"/>
                        <col width="6%"/>
                        <col width="6%"/>
                        <col width="18%"/>
                        <col width="22%"/>
                        <col width="10%"/>
                        <col width="10%"/>
                        <col width="10%"/>
                    </colgroup>
                    <thead>
                        <tr class="titre">
                            <td class="titre bold center bordered">Exercice</td>
                            <td class="titre bold center bordered">N bordereau</td>
                            <td class="titre bold center bordered">N pi&egrave;ce</td>
                            <td class="titre bold center bordered">N ligne</td>
                            <td class="titre bold center bordered">Date PEC</td>
                            <td class="titre bold center bordered">Nom du cr&eacute;ancier</td>
                            <td class="titre bold center bordered">Objet de la pi&egrave;ce de d&eacute;pense</td>
                            <td class="titre bold center bordered">Solde au <xsl:choose><xsl:when test="string-length(//n:EnteteSolde/@Date3) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date3"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></td>
                            <td class="titre bold center bordered">Solde actualis&eacute; au <xsl:choose><xsl:when test="string-length(//n:EnteteSolde/@Date4) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteSolde/@Date4"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></td>
                            <td class="titre bold center bordered">Observations</td>
                        </tr>
                    </thead>
                    <tbody>
                        <xsl:for-each select="$el/n:LigneSolde[string-length(@Tiers) &gt; 0 or contains(lower-case(@ObjetPiece),'total')]">
                            <tr>                                
                                <xsl:choose>
                                    <xsl:when test="$NumPiece != '0' and @NumPiece=$NumPiece">
                                        <xsl:attribute name="id">highlighted</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:choose>
                                            <xsl:when test="(position() mod 2) = 0">
                                                <xsl:attribute name="id">colorised1</xsl:attribute>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:attribute name="id">colorised2</xsl:attribute>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:otherwise>
                                </xsl:choose>
                                <td class="center bordureRight"><xsl:value-of select="@ExercicePiece"/></td>
                                <td class="center bordureRight"><xsl:value-of select="@NumBordereau"/></td>
                                <td class="center bordureRight"><xsl:value-of select="@NumPiece"/></td>
                                <td class="center bordureRight"><xsl:value-of select="@NumLigne"/></td>
                                <td class="center bordureRight"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="@DatePEC"/></xsl:call-template></td>
                                <td class="bordureRight"><xsl:value-of select="@Tiers"/></td>
                                <td class="bordureRight"><xsl:value-of select="@ObjetPiece"/></td>
                                <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@SoldeDate3"/></xsl:call-template></td>
                                <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@SoldeDate4"/></xsl:call-template></td>
                                <td>&nbsp;</td>
                            </tr>
                        </xsl:for-each>
                    </tbody>
                </table>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>  
    
    <xsl:template name="iso-date">
        <xsl:param name="datebrute"/>
        <xsl:param name="separator">/</xsl:param>
        <xsl:choose>
            <xsl:when test="string-length($datebrute)>0 and not(contains($datebrute,'..'))">        
                <xsl:value-of select="substring($datebrute,9,2)"/>
                <xsl:value-of select="$separator"/>
                <xsl:value-of select="substring($datebrute,6,2)"/>
                <xsl:value-of select="$separator"/>
                <xsl:value-of select="substring($datebrute,1,4)"/>
            </xsl:when>
            <xsl:when test="string-length($datebrute)>0 and contains($datebrute,'..')">
                <xsl:value-of select="$datebrute"/>
            </xsl:when>
            <xsl:otherwise>../../....</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:transform>
