/*
 * Copyright
 *   2008 axYus - www.axyus.com
 *   2008 L.Meckert - laurent.meckert.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.gouv.finances.cp.xemelios.plugin.signerfichier;

/**
 *
 * @author laurent.meckert
 */
public interface IKeystoreValider {
 /**
     * 
     * @param password
     *
     */
    public void setKeystorePassword(String password);

    public String getKeystorePassword();

    /**
     * 
     * @throws Exception
     */
    public void loadKeystore() throws Exception;
    
     /**
     * 
     * @param alias
     */
    public void setAlias(String alias);

      /**
     * 
     * @param password
     */
    public void setAliasPassword(String password);

       public void loadAlias();
    
     /**
     *
     * @return true si le keystore est bien charge
     */
    public boolean loadKsOK();

    /**
     *
     * @return true si la cle privee est bien charge
     */
    public boolean loadPkOK();

    /**
     *
     * @return true si l'algorithm est acceptable (pour l'instant
     * juste DSA et RSA
     */
    public boolean algoIdOK();

}
